net.minecraftforge.common.config

## Enum Property.Type

- java.lang.Object
- - java.lang.Enum<Property.Type>
  - - net.minecraftforge.common.config.Property.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Property.Type>
  Enclosing class:
    Property

      public static enum Property.Type
      extends java.lang.Enum<Property.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `COLOR`
    `DOUBLE`
    `INTEGER`
    `MOD_ID`
    `STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getID()`
    `static Property.Type` | `tryParse(char id)`
    `static Property.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Property.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final Property.Type STRING

    - #### INTEGER

          public static final Property.Type INTEGER

    - #### BOOLEAN

          public static final Property.Type BOOLEAN

    - #### DOUBLE

          public static final Property.Type DOUBLE

    - #### COLOR

          public static final Property.Type COLOR

    - #### MOD_ID

          public static final Property.Type MOD_ID

  - ### Method Detail

    - #### values

          public static Property.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Property.Type c : Property.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Property.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### tryParse

          public static Property.Type tryParse(char id)

    - #### getID

          public char getID()